Package org.apache.sling.repoinit.parser.operations

# Class PropertyLine

java.lang.Object
org.apache.sling.repoinit.parser.operations.PropertyLine

@ProviderType public class PropertyLine extends Object
A single "set property" line

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PropertyLine.PropertyType`
Valid types for these properties

## Constructor Summary

Constructors
Constructor
Description
`PropertyLine(String name, String typeString, List<String> values, boolean isDefault)`
Stores data for one line of a "set property" block

## Method Summary

Modifier and Type
Method
Description
`String`
`getPropertyName()`
`PropertyLine.PropertyType`
`getPropertyType()`
`List<Object>`
`getPropertyValues()`
`boolean`
`isDefault()`
True if this line is a "default" as opposed to a "set" instruction.
`boolean`
`isMultiple()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyLine

public PropertyLine(String name, String typeString, List<String> values, boolean isDefault) throws Exception
Stores data for one line of a "set property" block

Parameters:
  `name` - name of the property
  `typeString` - property type, as a String
  `values` - values of the property
  `isDefault` - true if this line is a "default" as opposed to a "set" instruction
Throws:
  `org.apache.sling.repoinit.parser.impl.ParseException` - if the line cannot be parsed.
  `Exception`

## Method Details

### getPropertyName

public String getPropertyName()

Returns:
  the name of the property to set

### getPropertyType

public PropertyLine.PropertyType getPropertyType()

Returns:
  the type of the property to set

### getPropertyValues

public List<Object> getPropertyValues()

Returns:
  the list ot values of the property to set

### isDefault

public boolean isDefault()
True if this line is a "default" as opposed to a "set" instruction.

Returns:
  true if a previously existing value of this property is kept, instead of being overwritten like a "set" instruction does

### isMultiple

public boolean isMultiple()

Returns:
  true if property type is explicitly defined as multiple.

### toString

public String toString()

Overrides:
  `toString` in class `Object`